Skip to main content
POST
/
v1
/
crm
/
leads
/
{leadId}
/
clear
/
verification-status
Get Verification Status
curl --request POST \
  --url https://api.example.com/v1/crm/leads/{leadId}/clear/verification-status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "principalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "updatedAt": "<string>",
  "verifiedAt": "<string>",
  "identityMatches": true,
  "documentsProcessed": true
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

leadId
string
required

Body

application/json
principalId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

The Clear verification status.

status
enum<string> | null
required
Available options:
awaiting_user_input,
processing_data,
success,
fail,
expired,
awaiting_manual_review,
manual_success,
manual_fail,
canceled
updatedAt
string
verifiedAt
string | null
identityMatches
boolean | null
documentsProcessed
boolean